Electricity bill Check
This api is for validating electricity bill provider. We have to pass provider id, value and text that specifying the value type in request. If the request is valid, we will get a success response.
https://kraken.airpay.co.in/airpay/ms/baas/api/electricity-bill-provider-validationHeader
Section titled “Header”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| affiliate required | Text | Will be provided by airpay | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
| checksum required | Text | $string = $param.self::$secret_key; | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
| api-key required | Text | Will be provided by airpay | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
| processor-key required | Text | Will be provided by airpay | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
Request Body
Section titled “Request Body”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| provider_id required | Numeric | provider id | 26 |
| required_field required | Text (3-20) | eg. CustomerNumber | ConsumerNumber |
| value required | Text | eg. 123523441 | 1800233001234 |
Success 200
Section titled “Success 200”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| status required | Numeric ( 3) | 400- fail,200-success | 400,200 |
| message required | Text | Field verified, Field not verified, fail | Field verified,Failed |
| data required | Text | { } |
Request Example
Section titled “Request Example” curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/electricity-bill-provider-validation' \--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--data-urlencode 'provider_id=26' \--data-urlencode 'required_field=ConsumerNumber' \--data-urlencode 'value=1800233001234'Success Response
Section titled “Success Response”{ "status": "200", "message": "Field verified", "data": {}}Error Response
Section titled “Error Response”{ "status": "400", "message": "Failed", "data": ""}